jsinterop.annotations

## Annotation Type JsPackage

    @Retention(value=RUNTIME)
     @Target(value=PACKAGE)
     @Documented
    public @interface JsPackage

Provides a default namespace for all @JsType classes in a package by applying to 'package-info.java'.

### Field Summary

Fields
`static java.lang.String` `GLOBAL` Namespace of the global JavaScript object.

### Required Element Summary

Required Elements
`java.lang.String` `namespace`

### Field Detail

#### GLOBAL

    public static final java.lang.String GLOBAL

Namespace of the global JavaScript object.

### Element Detail

#### namespace

    public abstract java.lang.String namespace